Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang
Class SerializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang.exception.NestableRuntimeException
                      org.apache.commons.lang.SerializationException

All Implemented Interfaces:
  Nestable, java.io.Serializable

public class SerializationException
extends NestableRuntimeException

Exception thrown when the Serialization process fails.

The original error is wrapped within this one.

Since:
  1.0
Version:
  $Id: SerializationException.java 437554 2006-08-28 06:21:41Z bayard $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`delegate`

Constructor Summary
`SerializationException()` Constructs a new `SerializationException` without specified detail message.
`SerializationException(java.lang.String msg)` Constructs a new `SerializationException` with specified detail message.
`SerializationException(java.lang.String msg, java.lang.Throwable cause)` Constructs a new `SerializationException` with specified detail message and nested `Throwable`.
`SerializationException(java.lang.Throwable cause)` Constructs a new `SerializationException` with specified nested `Throwable`.

Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializationException

    public SerializationException()

  Constructs a new `SerializationException` without specified detail message.

### SerializationException

    public SerializationException(java.lang.String msg)

  Constructs a new `SerializationException` with specified detail message.

Parameters:
  `msg` - The error message.

### SerializationException

    public SerializationException(java.lang.Throwable cause)

  Constructs a new `SerializationException` with specified nested `Throwable`.

Parameters:
  `cause` - The `Exception` or `Error` that caused this exception to be thrown.

### SerializationException

    public SerializationException(java.lang.String msg,
                                  java.lang.Throwable cause)

  Constructs a new `SerializationException` with specified detail message and nested `Throwable`.

Parameters:
  `msg` - The error message.
  `cause` - The `Exception` or `Error` that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.